[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#160118: libpspell-ispell1.postinst error

Package: libpspell-ispell1
Version: 0.12-4
Severity: important

Short version, it appears that the libpspell-ispell1.postinst script found 
the "cd `pspell-config pkgdatadir`" to be /usr/local/share/pspell/ when the 
package files reside in /usr/share/pspell/, and was unable to execute the 
./make-ispell-pwli.  I found this out by adding a "echo `pwd` in 

Here is the error:
Setting up libpspell-ispell1 (0.12-4) ...
/var/lib/dpkg/info/libpspell-ispell1.postinst: ./make-ispell-pwli: No such file$
dpkg: error processing libpspell-ispell1 (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:

I had recently upgraded a potato machine (had ximian and libranet as well) to 
woody and attempted to upgrade abiword with dselect.  Dselect didn't detect the 
conflicts with ximian's aspell and abiword when selecting the packages, so I 
had to remove them.  The libpspell-ispell1 issue came up as dependancy of 
installing abiword.

A couple of questions which might help me submit better bug reports in
the future: How do I determine what the `pspell-config pkgdatadir`
directory is without editing the post install script and where is
`pspell-config pkgdatadir` defined? 


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux linuxgeek 2.4.18-686 #1 Sun Apr 14 11:32:47 EST 2002 i686
Locale: LANG=en.ISO-8859-1, LC_CTYPE=

Versions of packages libpspell-ispell1 depends on:
ii  ispell                   3.1.20-21.1     International Ispell (an interacti
ii  libc6                    2.2.5-11.1      GNU C Library: Shared libraries an
ii  libpspell4               0.12.2-ximian.5 Portable Spell Checker Interface L

Reply to: